version: "3"
services:
  bitdeals:
    build:
      context: https://git.bitdeals.org/private/apostol-dm.git
      dockerfile: ./docker/Dockerfile
    image: registry.bitdeals.org/apostol-dm
    environment:
      - DM_FORWEB=http://127.0.0.1
      - DM_TESTNET=true
      - DM_BITCOIN=
      - DM_FEE=0.1%
      - DM_WEBAUTH=false
      - |
        DM_PGP_SEC=
        -----BEGIN PGP PRIVATE KEY BLOCK-----

        -----END PGP PRIVATE KEY BLOCK-----

    volumes:
      - home:/home/dm
    ports:
      - 127.0.0.1:4999:4999
      - 127.0.0.1:80:80

volumes:
  home:

